
#define			DXF	 0
#define			DWG  1
#define			DXB  2

  
#define	 IS_OK					"Conversion is ok"
#define	 BAD_FORMAT				"Error in format"  
#define  BAD_VERSION			"Error in version"
#define	 NO_INPUT_FILE			"The input file doesn't exist"
#define	 NO_OUTPUT_FOLDER		"The output folder doesn't exist"
#define	 BAD_SIZE_DEMO			"Size file over then demo size file"
#define	 BAD_EXT_INPUT			"Error in the extension of the input file"
#define	 BAD_EXT_OUTPUT			"Error in the extension of the output file"
#define	 DISK_FULL				"The disk is full"
#define	 THE_INPUT_IS_OK		"The input is ok"
#define  DLL_NOT_FOUND 			"Dxf2DwgDll was not found"
#define  TRIAL_EXPIRED 			"trial expired"

#define E120  "Invalid Drawing"   
#define E121  "Not implemented yet"   
#define E122  "Not Applicable"   
#define E123  "Invalid input"   
#define E124  "Invalid Filer"   
#define E125  "No Interface"   
#define E126  "Invalid open state"   
#define E127  "Unsupported Method"   
#define E128  "Handle already exists"   
#define E129  "Unknown handle"   
#define E130  "Null object Id"   
#define E131  "Container is not empty"   
#define E132  "Illegal entity type"   
#define E133  "Key Not Found"   
#define E134  "Duplicate Key"   
#define E135  "Character Not Found"   
#define E136  "Already in database"   
#define E137  "Invalid Extents"   
#define E138  "Invalid Symbol Table Name"   
#define E139  "Invalid Key"   
#define E140  "Wrong Object Type"   
#define E141  "Wrong Database"   
#define E142  "Invalid Dwg Version"   
#define E143  "Illegal Replacement"   
#define E144  "Unexpected end of file"   
#define E145  "Can't open file"    
#define E146  "File close error"    
#define E147  "File write error"   
#define E148  "No filename"   
#define E149  "File internal error"   
#define E150  "File not found"   
#define E151 "Unknown File Type"   
#define E152 "Not opened for read"   
#define E153 "Not opened for write"   
#define E154 "Not that kind of class"   
#define E155 "Invalid block name"   
#define E156  "Invalid group code"   
#define E157  "Invalid ResBuf"   
#define E158  "Bad Dxf sequence"   
#define E159  "Invalid RoundTripR14 data"   
#define E160  "Polyface Mesh vertex after face"   
#define E161  "Invalid vertex index"   
#define E162  "Dwg Object Improperly Read"   
#define E163  "CRC does not match"   
#define E164  "Object was erased"   
#define E165  "Object was permanently erased"   
#define E166  "Was open for read"   
#define E167  "Was open for write"   
#define E168  "Was open for undo"   
#define E169  "Was notifying"   
#define E170  "Was open for notify"   
#define E171  "Invalid Block table record name"   
#define E172  "Duplicate record name"   
#define E173  "Block is not an external reference definition"   
#define E174  "Empty record name"   
#define E175  "Block depend on other XRefs"   
#define E176  "Entity references itself"   
#define E177  "Missing symbol table"   
#define E178  "Missing symbol table record"   
#define E179  "Object can't be erased"   
#define E180  "No Database"   
#define E181  "XData size exceeded"   
#define E182  "Cannot save hatch roundtrip data due to format limitations  they are too large"   
#define E183  "Hatch is gradient, but either solid fill flag not set or pattern type is not pre#define Edefined"    
#define E184  "Invalid RegApp"   
#define E185  "Record not in table"   
#define E186  "Iterator done"   
#define E187  "Null iterator"   
#define E188  "Not in block"   
#define E189  "Owner not in database"   
#define E190  "Cannot transform by non#define Eortho matrix"   
#define E191  "Cannot transform by non#define Euniform scaling matrix"   
#define E192  "Object not in database"   
#define E193  "Cannot change properties of active viewport!"   
/*    
 
	  #define E194 
	 */
#define E195  "No active viewport in paperspace"   
#define E196  "General modeling failure"   
#define E197  "Out of range"   
#define E198  "Non coplanar geometry"   
#define E199  "Degenerate geometry"   
#define E200  "Invalid axis"   
#define E201  "Can not explode entity"   
#define E202  "String too long"   
#define E203  "Undefined line type"   
#define E204  "Text style is invalid"   
#define E205  "Invalid dimension style"   
#define E206  "Invalid layer"   
#define E207  "Multiline style is invalid"   
#define E208  "Dwg file needs recovery"   
#define E209  "Recovery failed"   
#define E210  "Bad layer name"   
#define E211  "Bad color index"   
#define E212  "Bad linetype name"   
#define E213  "Bad lineweight value"   
#define E214  "Invalid Owner Object"   
#define E215  "Owner Not Set"   
#define E216  "No Active Transactions"   
#define E217  "Transaction Is Active"   
#define E218  "Not newly created object"   
#define E219  "Entity already in group"   
#define E220  "There is no entity with this id in group"   
#define E221  "Bad Dwg File"   
#define E222  "Not allowed for this proxy"   
#define E223  "Null Extents"   
#define E224  "ODAX no document"   
#define E225  "Invalid context of execution"   
#define E226  "Seting active layout failed"   
#define E227  "Model Space layout can't be deleted"   
#define E228  "Last Paper Space layout can't be deleted"   
#define E229  "Model Space layout can't be renamed"   
#define E230  "Invalid layout name"   
#define E231  "Layout already exists"   
#define E232  "Not initialized yet"   
#define E233  "No block begin"   
#define E234  "Bad plotstyle name"   
#define E235  "Object is referenced"   
#define E236  "Invalid thumbnail bitmap"   
#define E237  "Plot style is in color dependent mode"  
#define E238  "No ClassId"   
#define E239  "Undo operation is not available"   
#define E240  "Hatch is too dense #define E ignoring"   
#define E241  "Not Handled"   
#define E242  "Not Implemented"   
#define E243  "Library integrity is broken"   
#define E244  "Codepage not found"   
#define E245  "Incorrect init file version"   
#define E246  "Internal error in Freetype font library"   
#define E247  "No UCS present in object"   
#define E248  "Object has wrong type"   
#define E249  "Protocol extension object is bad"   
#define E250  "Bad name for hatch pattern"   
#define E252  "Object is not transaction resident"   
#define E254  "Dwg file is encrypted"   
#define E255  "The password is incorrect"   
#define E256  "HostApp cannot decrypt data"   
#define E257  "An arithmetic overflow"   
#define E258  "Paging skips the object"   
#define E259  "Paging is stoped"   
#define E260  "Invalid ResBuf with DimStyle data"   
#define E261  "Extended error"   
#define E262  "The grip operation has failed"   
#define E263  "NoRedrawGrip"   
#define E264  "GripHotToWarm"   
#define E265  "GetNewGripPoints"   
#define E266  "Unsupported early DWG version"   
#define E268  "Unknown error"



		

 

// AutoCAD version  
#define AUTOCAD25    0   
#define AUTOCAD26    1   
#define AUTOCAD9     2   
#define AUTOCAD10    3   
#define AUTOCAD11    4   
#define AUTOCAD13    5   
#define AUTOCAD14    6
#define AUTOCAD2000  7
#define AUTOCAD2004  8
#define AUTOCAD2007  9
#define AUTOCAD2008  10

#define AUTOCADMAX   10


        
   

#define DXFDWGAPI _stdcall 
 LPCTSTR DXFDWGAPI ConvertDxftoDwg (LPCTSTR szFName,LPCTSTR OutszFName, int Ver) ;

  




